import {
  Injectable,
  NestInterceptor,
  ExecutionContext,
  CallHandler, HttpException,
} from '@nestjs/common';
import { catchError, Observable } from 'rxjs';

@Injectable()
export class ErrorsInterceptor implements NestInterceptor {
  intercept(context: ExecutionContext, next: CallHandler): Observable<any> {
    return next.handle()
      .pipe(catchError(error => {
        console.log(error.response);
        if (typeof(error.response) !== 'undefined') {
          throw new HttpException( {
            code: 500,
            errors: error.response.message,
          }, 500);
        } else {
          throw new HttpException( {
            code: 500,
            errors: [error],
          }, 500);
        }
      }));
  }
}
